"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const shelljs_1 = require("shelljs");
const files_1 = require("../../utils/files");
function babel(dir, cli) {
    const pack = files_1.readJSON(dir, 'package.json');
    const install = [
        `cd ${dir} &&`,
        'npm i -D',
        '@babel/preset-env',
        '@babel/core',
    ];
    const config = {
        presets: ['@babel/preset-env'],
    };
    pack.scripts.lint = "prettier --config .prettierrc.json --write 'src/**/*.js'";
    if (cli) {
        install.push('@babel/cli');
    }
    files_1.writeJSON(dir, '.babelrc', config, 2);
    files_1.writeJSON(dir, 'package.json', pack, 2);
    shelljs_1.exec(install.join(' '));
}
exports.default = babel;
